### Class

# Gdk Monitor

#### Description [src]

    final class Gdk.Monitor : GObject.Object {
      /* No available fields */
    }

`GdkMonitor` objects represent the individual outputs that are associated with a `GdkDisplay`.

`GdkDisplay` keeps a `GListModel` to enumerate and monitor monitors with gdk_display_get_monitors(). You can use gdk_display_get_monitor_at_surface() to find a particular monitor.

#### Hierarchy

#### Ancestors

- GObject

#### Instance methods

###### gdk_monitor_get_connector

Gets the name of the monitor’s connector, if available.

###### gdk_monitor_get_display

Gets the display that this monitor belongs to.

###### gdk_monitor_get_geometry

Retrieves the size and position of the monitor within the display coordinate space.

###### gdk_monitor_get_height_mm

Gets the height in millimeters of the monitor.

###### gdk_monitor_get_manufacturer

Gets the name or PNP ID of the monitor’s manufacturer.

###### gdk_monitor_get_model

Gets the string identifying the monitor model, if available.

###### gdk_monitor_get_refresh_rate

Gets the refresh rate of the monitor, if available.

###### gdk_monitor_get_scale_factor

Gets the internal scale factor that maps from monitor coordinates to device pixels.

###### gdk_monitor_get_subpixel_layout

Gets information about the layout of red, green and blue primaries for pixels.

###### gdk_monitor_get_width_mm

Gets the width in millimeters of the monitor.

###### gdk_monitor_is_valid

Returns `TRUE` if the `monitor` object corresponds to a physical monitor.

#### Properties

###### Gdk.Monitor:connector

The connector name.

###### Gdk.Monitor:display

The `GdkDisplay` of the monitor.

###### Gdk.Monitor:geometry

The geometry of the monitor.

###### Gdk.Monitor:height-mm

The height of the monitor, in millimeters.

###### Gdk.Monitor:manufacturer

The manufacturer name.

###### Gdk.Monitor:model

The model name.

###### Gdk.Monitor:refresh-rate

The refresh rate, in milli-Hertz.

###### Gdk.Monitor:scale-factor

The scale factor.

###### Gdk.Monitor:subpixel-layout

The subpixel layout.

###### Gdk.Monitor:valid

Whether the object is still valid.

###### Gdk.Monitor:width-mm

The width of the monitor, in millimeters.

#### Signals

###### Gdk.Monitor::invalidate

Emitted when the output represented by `monitor` gets disconnected.

#### Class structure

    struct GdkMonitorClass {
      /* no available fields */
    }